%define module Parse-RecDescent
%define name perl-%{module}

Name:		%{name}
Version:	1.95.1
Release:	%mkrel 1
Summary:	A recursive descent parser generator for Perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}/
Source:     http://www.cpan.org/modules/by-module/Parse/%{module}-v%{version}.tar.gz
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
The Parse::RecDescent perl module is used to generate recursive descent
parsers from powerful grammar specifications.

%prep
%setup -q -n %{module}-v%{version}
%{__perl} -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`
find -type f | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

# now in perl
rm -f %{buildroot}%{_mandir}/*/Text*

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes tutorial/*
%{perl_vendorlib}/Parse
%{_mandir}/*/*


%changelog
* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.95.1-1mdv2009.0
+ Revision: 272297
- new version

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.94-9mdv2009.0
+ Revision: 223951
- rebuild

* Thu Jan 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.94-8mdv2008.1
+ Revision: 154208
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.94-7mdv2008.0
+ Revision: 67515
- rebuild


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.94-6mdv2007.0
+ Revision: 108468
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Parse-RecDescent

* Tue Oct 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.94-5mdk
- Rebuild, fix permissions, change summary

* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.94-4mdk
- Rebuild for new perl
- Fix description
- Include tutorial

